--Pydaz fuck
--COMBAT_LOG_EVENT_UNFILTERED
function(e, ...)
    local casterGUID = select(4, ...)
    local spellID = select(12, ...)
    local se = select(2, ...)
    if se == "SPELL_AURA_APPLIED" then
        if casterGUID == UnitGUID("player") and spellID == 207472 then
            if WeakAurasSaved.ShittyTicker then
                if WeakAurasSaved.ShittyTicker._callback then
                    WeakAurasSaved.ShittyTicker:Cancel()
                end
                WeakAurasSaved.ShittyTicker = nil
            end
            WeakAuras.ScanEvents("PRYDAZ_REFRESH")
            WeakAurasSaved.ShittyTicker = C_Timer.NewTicker(30, function() WeakAuras.ScanEvents("PRYDAZ_REFRESH") end)
        end
    end
end

--PRYDAZ_REFRESH
function(e)
    return true
end

--DURATION
function()
    return 30, GetTime() + 30
end
